%define major           1
%define libname         %mklibname xmlsec %{major}
%define libname_gnutls  %mklibname xmlsec1-gnutls %{major}
%define libname_nss     %mklibname xmlsec1-nss %{major}
%define libname_openssl %mklibname xmlsec1-openssl %{major}
%define libname_gcrypt  %mklibname xmlsec1-gcrypt %{major}
%define devname         %mklibname xmlsec1 -d

Summary:	Library providing support for "XML Signature" and "XML Encryption" standards
Name:		xmlsec1
Version:	1.2.25
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Url:		http://www.aleksey.com/xmlsec
Source0:	http://www.aleksey.com/xmlsec/download/%{name}-%{version}.tar.xz
Patch1:		xmlsec1-1.2.16-linkage.patch
BuildRequires: lib64binutils-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gnutls-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64ltdl-devel
BuildRequires: lib64nspr-devel
BuildRequires: lib64nss-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64xslt-devel


%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

%package -n %{libname}
Summary:	Library providing support for "XML Signature" and "XML Encryption" standards
Group:		System/Libraries
Requires: %{name}

%description -n %{libname}
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Libraries, includes, etc. you can use to develop applications with XML Digital
Signatures and XML Encryption support.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/xmlsec1
%doc %{_mandir}/man1/xmlsec1.1*

%files -n %{libname}
%{_libdir}/libxmlsec1.so.%{major}*
%{_libdir}/libxmlsec1-openssl.so.%{major}*
%{_libdir}/libxmlsec1-nss.so.%{major}*
%{_libdir}/libxmlsec1-gnutls.so.%{major}*
%{_libdir}/libxmlsec1-gcrypt.so.%{major}*


%files -n %{devname}
%doc AUTHORS HACKING ChangeLog NEWS README Copyright
%doc %{_mandir}/man1/xmlsec1-config.1*
%{_bindir}/xmlsec1-config
%{_includedir}/xmlsec1
%{_datadir}/aclocal/xmlsec1.m4
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/xmlsec1Conf.sh
%{_docdir}/xmlsec1/


%changelog
* Fri Feb 23 2018 bb2 <bb2> - 1.2.25-1pclos2018
- import for kmymoney 5.0
